import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const NightIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style, 
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'Night'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M11.65 3.4603C11.92 2.7503 11.29 2.0103 10.53 2.1203C5.01 2.9203 1.06 8.1903 2.19 14.0003C2.97 18.0203 6.28 21.2103 10.33 21.8703C14.07 22.4803 17.49 21.0003 19.65 18.4303C20.13 17.8603 19.84 16.9503 19.1 16.8103C13.08 15.6603 9.42 9.2703 11.65 3.4603Z'}
      fill={color}
    />
  </Svg>
);
