import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const ShadesSeventyFiveIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'ShadesSeventyFive'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M20 19V5C20 3.9 19.1 3 18 3H6C4.9 3 4 3.9 4 5V19H3C2.45 19 2 19.45 2 20C2 20.55 2.45 21 3 21H21C21.55 21 22 20.55 22 20C22 19.45 21.55 19 21 19H20ZM6 19V8H11V9.8C10.6 10.1 10.2 10.6 10.2 11.2C10.2 12.2 11 13 12 13C13 13 13.8 12.2 13.8 11.2C13.8 10.6 13.5 10.1 13 9.8V8H18V19H6Z'}
      fill={color}
    />
  </Svg>
);
