import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../utils';
import { borderRadiusSizes, spacingSizes } from '../../../constants';

export const styles = StyleSheet.create({
  textInputContainer: {
    position: 'relative',
  },
  textInput: {
    paddingHorizontal: spacingSizes.medium,
    borderWidth: 1,
    borderColor: getThemeColorByDefaultColor('border', 'default'),
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    borderRadius: borderRadiusSizes.medium,
    marginBottom: 24,
    color: getThemeColorByDefaultColor('text', 'dark'),
    placeholderText: {
      color: getThemeColorByDefaultColor('text', 'default'),
    },
  },
  textButtonInput: {
    paddingLeft: spacingSizes.medium,
    paddingRight: '34%',
  },
  textInputActive: {
    borderWidth: 1,
    borderColor: getThemeColorByDefaultColor('primary', 'default'),
    backgroundColor: getThemeColorByDefaultColor('background', 'light'),
    borderRadius: borderRadiusSizes.medium,
    marginBottom: 24,
    color: getThemeColorByDefaultColor('text', 'dark'),
    placeholderText: {
      color: getThemeColorByDefaultColor('text', 'dark'),
    },
  },
  textInputError: {
    borderWidth: 1,
    borderColor: getThemeColorByDefaultColor('error', 'default'),
    backgroundColor: getThemeColorByDefaultColor('background', 'light'),
    borderRadius: borderRadiusSizes.medium,
    marginBottom: 8,
    color: getThemeColorByDefaultColor('text', 'dark'),
    placeholderText: {
      color: getThemeColorByDefaultColor('text', 'dark'),
    },
  },
  textInputErrorText: {
    color: getThemeColorByDefaultColor('error', 'default'),
    fontSize: 12,
    lineHeight: 16,
    fontWeight: '500',
  },
  textInputDisabled: {
    borderWidth: 1,
    borderColor: getThemeColorByDefaultColor('border', 'light'),
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    borderRadius: borderRadiusSizes.medium,
    marginBottom: 24,
    color: getThemeColorByDefaultColor('text', 'light'),
    placeholderText: {
      color: getThemeColorByDefaultColor('text', 'light'),
    },
  },
  textInputExtraLarge: {
    fontSize: 16,
    height: 56,
  },
  textInputLarge: {
    fontSize: 16,
    height: 48,
  },
  textInputMedium: {
    fontSize: 14,
    height: 40,
  },
  textInputSmall: {
    fontSize: 14,
    height: 32,
  },
  button: {
    position:'absolute',
    right: 0,
    marginRight: spacingSizes.medium,
    marginVertical: spacingSizes.small + spacingSizes.unit,
    maxWidth: 110,
  },
  largeSizeButton: {
    marginVertical: spacingSizes.small,
  },
  mediumSizeButton: {
    marginVertical: spacingSizes.unit,
  },
});
