import React, { FC } from 'react';
import { ScrollView, View } from 'react-native';
import { styles } from './styles';
import { getThemeColorByDefaultColor } from '../../../../utils';

interface Props {
  children?: JSX.Element | JSX.Element[];
  backgroundColor?: string;
  scrollEnabled?: boolean;
  isScroll?: boolean;
}

export const ContentWrapper: FC<Props> = ({
  children,
  backgroundColor = getThemeColorByDefaultColor('background', 'default'),
  scrollEnabled = true,
  isScroll = true,
}) => {
  const Component = isScroll ? ScrollView : View;
  return (
    <Component scrollEnabled={scrollEnabled} style={[styles.contentWrapper,{ backgroundColor }]}>
      {children}
    </Component>
  );
};
