import React, { FC } from 'react';
import { View } from 'react-native';
import { styles } from './styles';
import { AtomIcon, LabelSemiBoldText, TouchableOpacityButtonWrapper } from '../../../../atoms';
import { InfoListItemButtonModel } from '../../listItemModels';

export const IconTitleButton: FC<InfoListItemButtonModel> = ({
  text,
  Icon= AtomIcon,
  onClick,
  disabled= false,
}) => {
  return (
    <TouchableOpacityButtonWrapper
      onClick={onClick}
      disabled={disabled}
      style={[styles.iconTitleButton, disabled && styles.iconTitleButton.disabled]}
    >
      <View style={styles.iconTitleButtonIconContainer}>
        <Icon width={32} height={32} color={styles.iconTitleButtonIconColor.color} />
      </View>
      <View style={styles.iconTitleButtonTextContainer}>
        <LabelSemiBoldText
          numberOfLines={1}
          color={
            disabled
              ? styles.iconTitleButtonTextTitleColor.disabled.color
              : styles.iconTitleButtonTextTitleColor.color}
        >
          {text}
        </LabelSemiBoldText>
      </View>
    </TouchableOpacityButtonWrapper>
  );
};
