import React, { FC } from 'react';
import { View } from 'react-native';
import { InfoListItemButtonModel } from '../../listItemModels';
import { AtomIcon, Body2MediumText, LabelSemiBoldText, TouchableOpacityButtonWrapper } from '../../../../atoms';
import { styles } from './styles';

export const TitleDescriptionRightIcon: FC<InfoListItemButtonModel> = ({
  Icon= AtomIcon,
  description,
  text,
  onClick,
}) => {
  return (
    <TouchableOpacityButtonWrapper onClick={onClick} style={styles.titleDescriptionRightIcon}>
      <View style={styles.titleDescriptionRightIconTextContainer}>
        <LabelSemiBoldText numberOfLines={1}>{text}</LabelSemiBoldText>
        <Body2MediumText
          color={styles.titleDescriptionRightIconDescription.color}
          numberOfLines={1}
        >
          {description}
        </Body2MediumText>
      </View>
      <View style={styles.titleDescriptionRightIconIconContainer}>
        <Icon
          width={'32'}
          height={'32'}
          color={styles.titleDescriptionRightIconIconContainer.color}
        />
      </View>
    </TouchableOpacityButtonWrapper>
  );
};
