import { StyleSheet, ViewStyle } from 'react-native';
import { borderRadiusSizes } from '../../../../constants';
import { getThemeColorByDefaultColor } from '../../../../../utils';

type Style = {
  calendarDateWrapper: ViewStyle;
  textColor: { color: string };
};

export const styles = StyleSheet.create<Style>({
  calendarDateWrapper: {
    width: 32,
    height: 32,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: borderRadiusSizes.medium,
  },
  textColor: {
    color: getThemeColorByDefaultColor('text', 'light'),
  },
});
