import React, { FC } from 'react';
import { DayOfTheWeekData } from '../../calendarModel';
import { CaptionMediumText } from '../../../../atoms';
import { View } from 'react-native';
import { styles } from './styles';

interface CalendarWeekProps {
  dayOfTheWeekData: DayOfTheWeekData[]
}

export const CalendarWeekDays: FC<CalendarWeekProps> = ({ dayOfTheWeekData }) => (
  <View style={styles.calendarWeekDaysWrapper}>
    {dayOfTheWeekData.map(({ dayName, key }) => (
      <View key={key} style={styles.weekDaysColumn}>
        <CaptionMediumText>{dayName}</CaptionMediumText>
      </View>
    ))}
  </View>
);
