import React from 'react';

export interface ListItemValueModel {
  Icon?: React.ElementType;
  LeftIcon?: React.ElementType;
  RightIcon?: React.ElementType;
  text?: string;
  description?: string;
  id: string;
  imageURL?: string;
  Component?: React.ElementType;
  color?: string;
}

export interface ListItemsModel {
  ItemComponent?: React.ElementType;
  listItemsValues?: ListItemValueModel[];
  title?: string;
  onClick?: (id: string) => void;
  scrollEnabled?: boolean;
}

export interface VirtualizedListItemValueModel {
  title?: string;
  Icon?: React.ElementType;
  LeftIcon?: React.ElementType;
  RightIcon?: React.ElementType;
  text?: string;
  description?: string;
  id: string;
  imageURL?: string;
  Component?: React.ElementType;
  color?: string;
  onClick?: (id: string) => void;
}

export interface VirtualizedListItemsModel {
  ItemComponent?: React.ElementType;
  listItemsValues?: VirtualizedListItemValueModel[] | VirtualizedListItemsModel[];
  wrapperTitle?: string;
  onClick?: (id: string) => void;
  scrollEnabled?: boolean;
  listKey?: string;
  initialScrollIndex?: number;
  initialNumToRender?: number;
  onListRefresh?: () => void;
  enableRefreshing?: boolean;
}
