import { DateNumberMonthNumberAndYear } from './calendarModel';

type GetIsBetweenStartingAndEndingDate = (params: {
  startingDate: DateNumberMonthNumberAndYear,
  testDate: DateNumberMonthNumberAndYear,
  endingDate: DateNumberMonthNumberAndYear,
}) => boolean;

export const getIsBetweenStartingAndEndingDate: GetIsBetweenStartingAndEndingDate = ({ 
  startingDate,
  testDate,
  endingDate,
}) => {
  const starting = new Date(Date.UTC(startingDate.year, startingDate.monthNumber - 1, startingDate.dateNumber));
  const test = new Date(Date.UTC(testDate.year, testDate.monthNumber - 1, testDate.dateNumber));
  const ending = new Date(Date.UTC(endingDate.year, endingDate.monthNumber - 1, endingDate.dateNumber));

  return starting <= test && test <= ending;
};
