import { Week } from './calendarModel';

type GetNameOfDaysOfTheWeek = () => Week;

const YEAR = 2022;
const MONTH = 8;

const MONDAY = { year: YEAR, monthNumber: MONTH - 1, index: 1 };
const TUESDAY = { year: YEAR, monthNumber: MONTH - 1, index: 2 };
const WEDNESDAY = { year: YEAR, monthNumber: MONTH - 1, index: 3 };
const THURSDAY = { year: YEAR, monthNumber: MONTH - 1, index: 4 };
const FRIDAY = { year: YEAR, monthNumber: MONTH - 1, index: 5 };
const SATURDAY = { year: YEAR, monthNumber: MONTH - 1, index: 6 };
const SUNDAY = { year: YEAR, monthNumber: MONTH - 1, index: 7 };

const WEEK = [MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY];

export const getNameOfDaysOfTheWeek: GetNameOfDaysOfTheWeek = () => {
  return WEEK.map(dateDay => {
    const date = new Date(Date.UTC(dateDay.year, dateDay.monthNumber, dateDay.index));
    return date.toLocaleDateString('default', { weekday: 'narrow' })
      .substring(0, 1);
  }) as Week;
};
