import { defaultColors } from '../../ui';
import { ColorThemeModel } from '../../ui/constants/palette/colorsModels';

export type KeyType = 'primary' | 'text' | 'border' | 'background' | 'success' | 'warning' | 'error';
export type KeyValue = 'default' | 'light' | 'extraLight' | 'maxLight' | 'dark' | 'extraDark';

export let defaultThemePalette: ColorThemeModel = defaultColors;

export const setThemePalette = (palette: ColorThemeModel) => {
  defaultThemePalette = { ...defaultColors, ...palette };
};

export const getThemeColorByDefaultColor = (keyType: KeyType, keyValue: KeyValue) => {
  return defaultThemePalette[keyType]?.[keyValue];
};
